import { InterfaceImplementationMissingError } from './errors/SdkError.mjs';

class NullRpc {
  getEndpoint() {
    throw new InterfaceImplementationMissingError('RpcInterface', 'rpc');
  }
  getCluster() {
    throw new InterfaceImplementationMissingError('RpcInterface', 'rpc');
  }
  getAccount() {
    throw new InterfaceImplementationMissingError('RpcInterface', 'rpc');
  }
  call() {
    throw new InterfaceImplementationMissingError('RpcInterface', 'rpc');
  }
  sendTransaction() {
    throw new InterfaceImplementationMissingError('RpcInterface', 'rpc');
  }
  confirmTransaction() {
    throw new InterfaceImplementationMissingError('RpcInterface', 'rpc');
  }
}

export { NullRpc };
//# sourceMappingURL=RpcInterface.mjs.map
